Class Diff_PositionDutyCycle_Position
Requires Phoenix Pro and CANivore; Differential control with position average target and position difference target using duty cycle control.
public sealed class Diff_PositionDutyCycle_Position : ControlRequest, ICloneable
- Inheritance
-
Diff_PositionDutyCycle_Position
- Implements
- Inherited Members
Constructors
Diff_PositionDutyCycle_Position(PositionDutyCycle, PositionDutyCycle)
Requires Phoenix Pro and CANivore; Differential control with position average target and position difference target using duty cycle control.
Average PositionDutyCycle request of the mechanism. Differential PositionDutyCycle request of the mechanism.public Diff_PositionDutyCycle_Position(PositionDutyCycle AverageRequest, PositionDutyCycle DifferentialRequest)
Parameters
AverageRequestPositionDutyCycleDifferentialRequestPositionDutyCycle
Fields
AverageRequest
Average PositionDutyCycle request of the mechanism.
public PositionDutyCycle AverageRequest
Field Value
DifferentialRequest
Differential PositionDutyCycle request of the mechanism.
public PositionDutyCycle DifferentialRequest
Field Value
UpdateFreqHz
The frequency at which this control will update. This is designated in Hertz, with a minimum of 20 Hz (every 50 ms) and a maximum of 1000 Hz (every 1 ms). Some update frequencies are not supported and will be promoted up to the next highest supported frequency.
If this field is set to 0 Hz, the control request will be sent immediately as a one-shot frame. This may be useful for advanced applications that require outputs to be synchronized with data acquisition. In this case, we recommend not exceeding 50 ms between control calls.public double UpdateFreqHz
Field Value
Properties
Name
Name of this control request.
public string Name { get; }
Property Value
Methods
Clone()
Creates a copy of this control request.
public Diff_PositionDutyCycle_Position Clone()
Returns
GetControlInfo()
Gets information about this control request.
public Dictionary<string, string> GetControlInfo()
Returns
- Dictionary<string, string>
Dictionary of control parameter names and corresponding applied values
SendRequest(string, uint)
Sends this request out over CAN bus to the device for the device to apply.
public StatusCode SendRequest(string network, uint deviceHash)
Parameters
Returns
- StatusCode
Status of the send operation
ToString()
Provides the string representation of this object.
public override string ToString()
Returns
WithAverageRequest(PositionDutyCycle)
Modifies this Control Request's AverageRequest parameter and returns itself for method-chaining and easier to use request API.
Average PositionDutyCycle request of the mechanism.public Diff_PositionDutyCycle_Position WithAverageRequest(PositionDutyCycle newAverageRequest)
Parameters
newAverageRequestPositionDutyCycleParameter to modify
Returns
WithDifferentialRequest(PositionDutyCycle)
Modifies this Control Request's DifferentialRequest parameter and returns itself for method-chaining and easier to use request API.
Differential PositionDutyCycle request of the mechanism.public Diff_PositionDutyCycle_Position WithDifferentialRequest(PositionDutyCycle newDifferentialRequest)
Parameters
newDifferentialRequestPositionDutyCycleParameter to modify
Returns
WithUpdateFreqHz(double)
Sets the frequency at which this control will update. This is designated in Hertz, with a minimum of 20 Hz (every 50 ms) and a maximum of 1000 Hz (every 1 ms). Some update frequencies are not supported and will be promoted up to the next highest supported frequency.
If this field is set to 0 Hz, the control request will be sent immediately as a one-shot frame. This may be useful for advanced applications that require outputs to be synchronized with data acquisition. In this case, we recommend not exceeding 50 ms between control calls.public Diff_PositionDutyCycle_Position WithUpdateFreqHz(double newUpdateFreqHz)
Parameters
newUpdateFreqHzdoubleParameter to modify